#my-letter {
    flex-direction: column;
}

@media (min-width: 1000px) {
    #my-letter {
        flex-direction: row;
        align-items: center;
    }
}

#myl-svg-box {
    margin: 6rem 2rem 0 2rem;
    flex-grow: 1;
    /* 拿走剩下的所有空间 */
    flex-shrink: 1;
    min-height: 0;
    /* 关键：允许 Flex 子元素缩到比内容还小，防止溢出 */
    display: flex;
    justify-content: center;
    align-items: center;
    /* 让 SVG 在剩余空间里居中 */
}

@media (min-width: 1000px) {
    #myl-svg-box {
        margin: 1rem 0 1rem 10vw;
        width: 40%;
        height: auto;
    }
}

#myl-svg-box svg {
    max-width: 100%;
    max-height: 100%;
    /* 确保 SVG 既不会宽溢出，也不会高溢出 */
    width: auto;
    height: auto;
}

@media (min-width: 1000px) {
    #myl-svg-box svg {
        max-width: 50dvh;
    }
}

#myl-content-box {
    margin: 2rem;
    width: auto;
    /* 让 margin 生效 */
    height: auto;
    /* 交给内容决定高度 */
    flex-shrink: 0;
    /* 绝对不允许为了腾空间而挤压该元素 */
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
}

@media (min-width: 1000px) {
    #myl-content-box {
        width: 40%;
        margin-right: 10dvw;
    }
}

#myl-content-box glass-card {
    line-height: 1.3em;
}

#myl-txt {
    margin: 0 10% 1rem 0;
    max-width: 90%;
    border-radius: 1.4rem 1.4rem 1.4rem 3px;
    --padding: 0.8rem;
    font-size: 1.1rem;
    letter-spacing: 0px;
    font-family: 'text', 'Noto Serif CJK SC', serif;
    transform: translateY(100dvh);
}

#myl-options-box {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    margin-left: 10%;
    width: 90%;
}

.myl-option {
    --glass-bg: rgba(255, 255, 255, 0.22);
    margin-bottom: 0.6rem;
    border-radius: 1.4rem 1.4rem 3px 1.4rem;
    --padding: 0.5rem 0.9rem;
    font-size: 1.12rem;
    font-family: 'option', 'Noto Serif CJK SC', serif;
    transform: translateY(100dvh);
    transition: opacity 0.4s, filter 0.4s;
}

.myl-option.hidden {
    display: none;
}

.myl-option.blur {
    opacity: 0.4;
    filter: blur(2px);
}
